Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0009567Dwarf FortressCreaturespublic2016-02-16 08:172018-02-06 17:15
ReporterTheCrazyHamsteR 
Assigned ToToady One 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version0.42.04 
Target VersionFixed in VersionNext Version 
Summary0009567: Animals get distracted over time for no apparent reason
DescriptionAfter playing a fortress roughly two dwarven years some of tame animals started flashing yellow downward arrow and showed yellow "Distracted" at the wound screen. This also happens to wild animals and forgotten beasts if they spend enough time on the map, but they don't flash yellow downward arrow.
Steps To Reproduce1. Play fortress mode enough long, having many animals.
2. Notice that some of them get distracted and flash yellow downward arrow.
Additional InformationI've played four fortresses in 0.42.04 and this happened in all of them. It's inevitable.
Tagsdistracted, Save Included
Attached Files

- Relationships
related to 0005799resolvedToady One Notable animals worship gods 
related to 0010350resolvedDetros Horses have objects of worship 
child of 0009312resolvedToady One Forgotten Beasts become distracted after a time, without exception 

-  Notes
(0034682)
Button (reporter)
2016-02-16 10:40
edited on: 2016-02-16 14:29

Can be seen in some of the giant mountain goats in http://dffd.bay12games.com/file.php?id=11767 [^]

Btw, I've never seen this happen with imported animals or animals born in the fortress - only with wild-caught animals.

(0034685)
TheCrazyHamsteR (reporter)
2016-02-17 14:07

I've seen it frequently on wild-caught animals and ocasionally on war/hunting animals, pets, wild animals and normal animals such as a stray pig. A forgotten beast stuck in a cavern was so badly distracted that it showed red "Distracted!" instead of yellow.
(0034816)
sv-esk (reporter)
2016-03-09 11:34

Goat (id=9743) in the save seems to be distracted at being unable to pray anriz(historical figure id=455).
Goat (id=9962) - same reason, but deity is ral(id=452).
Both goats are historical figures and have deity histfig link(in the vector that also contain father and mother hf links).
(0034986)
Button (reporter)
2016-04-08 11:25

I've noticed that some egg-layers claim a nestbox but refuse to lay - pathing to the nest box and then pathing away before laying. I think it's related. Will upload a save as soon as I get another one of these (I butchered all of mine, oops)
(0035348)
Dame de la Licorne (reporter)
2016-06-04 18:42

I've seen something similar in 43.03. However, in my case my tame/domesticated animals are distracted. Save available here: http://dffd.bay12games.com/file.php?id=12115 [^]

To find the distracted animals do the following:
1) Hotkey "F1"
2) They should be towards the lower left of center (in a pasture).
(0036975)
Dwarfu (manager)
2017-11-24 18:06

The animals having deity relations that sv-esk noted, I've moved to 0010350 in in case the distractions have other underlying issues, at least the animal/deity relations can be marked off.
(0037038)
Detros (manager)
2017-11-26 15:37
edited on: 2017-11-26 15:37

As Button has pointed in 0010350:0037034, though, that 0010350 is a duplicate of much older 0005799, so issue of "Notable animals worship gods" goes there instead.

(0037611)
Orkel (reporter)
2018-01-14 11:53
edited on: 2018-01-14 11:53

Can confirm this still happening in 0.44.04, every animal is distracted.

(0037719)
ZM5 (reporter)
2018-01-31 13:37

http://dffd.bay12games.com/file.php?id=13469 [^]

I've added another save (modded but even unmodded animals are distracted) here for confirmation - still present as of 44.05.


As with other posters, it appears to be related to them still having needs but being unable to fulfill them, in particular the "pray" need - they cluster around the temple and are there almost always, whereas my citizens only go there occasionally.
(0037760)
PatrikLundell (reporter)
2018-02-06 07:13

In addition to the assignment of deities to histfig animals (inherited by their offspring), animals can also crave alcohol and be distracted because of that. My confirmed instance was a pet cat who also was distracted because of a lack of praying.

- Issue History
Date Modified Username Field Change
2016-02-16 08:17 TheCrazyHamsteR New Issue
2016-02-16 08:18 TheCrazyHamsteR Tag Attached: distracted
2016-02-16 10:40 Button Note Added: 0034682
2016-02-16 14:29 Button Note Edited: 0034682 View Revisions
2016-02-17 14:07 TheCrazyHamsteR Note Added: 0034685
2016-03-09 11:13 sv-esk Issue Monitored: sv-esk
2016-03-09 11:34 sv-esk Note Added: 0034816
2016-03-09 14:57 Button Issue Monitored: Button
2016-03-09 14:57 Button Tag Attached: Save Included
2016-04-08 11:25 Button Note Added: 0034986
2016-05-08 17:23 Dwarfu Assigned To => Dwarfu
2016-05-08 17:23 Dwarfu Status new => acknowledged
2016-05-08 17:23 Dwarfu Relationship added child of 0009312
2016-06-04 18:42 Dame de la Licorne Note Added: 0035348
2017-06-08 20:24 Huntthetroll Issue Monitored: Huntthetroll
2017-11-24 18:05 Dwarfu Relationship added related to 0010350
2017-11-24 18:06 Dwarfu Note Added: 0036975
2017-11-26 15:37 Detros Note Added: 0037038
2017-11-26 15:37 Detros Note Edited: 0037038 View Revisions
2017-11-26 15:38 Detros Relationship added related to 0005799
2018-01-14 11:53 Orkel Note Added: 0037611
2018-01-14 11:53 Orkel Note Edited: 0037611 View Revisions
2018-01-31 13:37 ZM5 Note Added: 0037719
2018-01-31 16:33 ArmokGoB Note Added: 0037723
2018-01-31 16:33 ArmokGoB Note Deleted: 0037723
2018-02-06 07:13 PatrikLundell Note Added: 0037760
2018-02-06 17:15 Toady One Status acknowledged => resolved
2018-02-06 17:15 Toady One Fixed in Version => Next Version
2018-02-06 17:15 Toady One Resolution open => fixed
2018-02-06 17:15 Toady One Assigned To Dwarfu => Toady One


Copyright © 2000 - 2010 MantisBT Group
Powered by Mantis Bugtracker